Name:		argusmonitor
Version:	0.1
Release:	7%{?dist}
Summary:	Argus Monitoring
Group:		System Environment/Base
License:	BSD

AutoReqProv:	no
Source0:	guess.pl
Source1:	sdf-monitoring-cron
Source2:	sdf-raid-megacli.pl
Source3:	sdf-raid-sas2ircu.pl
Source4:	sdf-raid-tw_cli.pl
Source5:	tests_sdfrance.php
BuildRoot:      %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)

%description
Package that deploy argus monitoring

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}/usr/local/monitoring/www
mkdir -p %{buildroot}/etc/cron.hourly
install -p -m 0755 %{SOURCE0} $RPM_BUILD_ROOT/usr/local/monitoring/www/
install -p -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.hourly/
install -p -m 0755 %{SOURCE2} $RPM_BUILD_ROOT/usr/local/monitoring/www/
install -p -m 0755 %{SOURCE3} $RPM_BUILD_ROOT/usr/local/monitoring/www/
install -p -m 0755 %{SOURCE4} $RPM_BUILD_ROOT/usr/local/monitoring/www/
install -p -m 0755 %{SOURCE5} $RPM_BUILD_ROOT/usr/local/monitoring/www/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
/usr/local/monitoring/www/guess.pl
/etc/cron.hourly/sdf-monitoring-cron
/usr/local/monitoring/www/sdf-raid-megacli.pl
/usr/local/monitoring/www/sdf-raid-sas2ircu.pl
/usr/local/monitoring/www/sdf-raid-tw_cli.pl
/usr/local/monitoring/www/tests_sdfrance.php

%config/usr/local/monitoring/www/guess.pl
%config/etc/cron.hourly/sdf-monitoring-cron
%config/usr/local/monitoring/www/sdf-raid-megacli.pl
%config/usr/local/monitoring/www/sdf-raid-sas2ircu.pl
%config/usr/local/monitoring/www/sdf-raid-tw_cli.pl
%config/usr/local/monitoring/www/tests_sdfrance.php

%post
ln -sf /usr/sbin/ss /sbin/ss

%postun
rm -f /usr/local/monitoring/www/guess.pl
rm -f /etc/cron.hourly/sdf-monitoring-cron
rm -f /usr/local/monitoring/www/sdf-raid-megacli.pl
rm -f /usr/local/monitoring/www/sdf-raid-sas2ircu.pl
rm -f /usr/local/monitoring/www/sdf-raid-tw_cli.pl
rm -f /usr/local/monitoring/www/tests_sdfrance.php

%changelog
* Tue Apr 28 2015 Mohamed YACOUBI <mohamed.yacoubi@magic.fr> 0.1-7
- Fix security list
* Tue Apr 28 2015 Mohamed YACOUBI <mohamed.yacoubi@magic.fr> 0.1-6
- Fix guess.pl detector
* Mon Apr 27 2015 Mohamed YACOUBI <mohamed.yacoubi@magic.fr> 0.1-5
- Fix ss path
* Sun Apr 27 2015 Mohamed YACOUBI <mohamed.yacoubi@magic.fr> 0.1-4
- Fix requirement installation
* Sun Apr 18 2015 Mohamed YACOUBI <mohamed.yacoubi@magic.fr> 0.1-3
- Fix requirement installation
* Sun Apr 18 2015 Mohamed YACOUBI <mohamed.yacoubi@magic.fr> 0.1-2
- Fix requirement
* Sun Apr 18 2015 Mohamed YACOUBI <mohamed.yacoubi@magic.fr> 0.1-1
- Fix requirement
* Fri Apr 17 2015 Mohamed YACOUBI <mohamed.yacoubi@magic.fr> 0.1-0
- First release
